Upgrade a package policy
Base URL
https://{kibana_url}
POST
/api/fleet/package_policies/upgrade
POST
/s/{space_id} /api/fleet/package_policies/upgrade
Auth
Upgrade a package policy to a newer package version.
Privileges
fleet-agent-policies-all
and
integrations-all
Expand all
space_id
string
optional
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
A required header to protect against CSRF attacks
{
}
acknowledge_breaking_changes
boolean · default: false
When true, acknowledge the breaking changes listed in the package changelog for the versions being upgraded. Without it, an upgrade whose version range includes breaking changes is rejected. The force flag does not bypass this check.
packagePolicyIds
string [] · max items: 1000
required
<array> object [] · max items: 10000
body
object
+
Show 1 property
attributes
object
required
Thank you for your feedback.
Base URL
https://{kibana_url}
Examples
Request
Console
1 / 2 languages
‹
›
Upgrade package policies to the latest version
Show more
1
2
3
4
5
6
POST kbn:/api/fleet/package_policies/upgrade
{
"packagePolicyIds": [
"package-policy-id-1"
]
}
Generated from the API spec
1
2
3
4
5
6
7
8
9
curl -X POST "${KIBANA_URL}/api/fleet/package_policies/upgrade" \
-H "kbn-xsrf: true" \
-H "Authorization: ApiKey ${API_KEY}" \
-H "Content-Type: application/json" \
-d '{
"packagePolicyIds": [
"package-policy-id-1"
]
}'
Generated from the API spec
Response
Results of the upgrade operation
Show more
Example of a generic error response
Show more
1
2
3
4
5
6
7
[
{
"id": "package-policy-id-1",
"name": "nginx-1",
"success": true
}
]
1
2
3
4
5
{
"error": "Bad Request",
"message": "An error message describing what went wrong",
"statusCode": 400
}